Subject: git-am -p fails with new file

From: Pierre-Marc Fournier <[email-masked]>
Date: Fri, 24 Jul 2009 14:09:30 -0400

I have a patch generated with git format-patch. I am trying to apply it
in a repository that contains only a subdirectory of the original
repository.

Therefore, I need to use git-am -p, which fails with the following message.

fatal: git apply: bad git-diff - inconsistent new filename on line 33

Is there a code path missing in parse_git_header() to strip the
directories as requested by -p?

Please CC me. Thanks.

pmf